Bug 858864 - create/ identify a mechanism for clients to determine that the pki subsystem is up
create/ identify a mechanism for clients to determine that the pki subsystem...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pki-core (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Matthew Harmsen
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 16:56 EDT by Nathan Kinder
Modified: 2013-02-21 05:05 EST (History)
3 users (show)

See Also:
Fixed In Version: pki-core-9.0.3-26.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 05:05:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2012-09-19 16:56:49 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/pki/ticket/314

IPA needs a way to determine that PKI is up and ready to service requests.  Checking the service status is not sufficient.
Comment 1 Ade Lee 2012-09-19 17:06:02 EDT
Here is an initial idea to solve this:

1. There is a currently little used dogtag 9/10 servlet called getStatus.  This servlet returns the type of server (CA, KRA, etc) and the configuration status of the server (1 - configured / 0 - not configured).  

We can extend this servlet to provide other information like the dogtag version - which we need to know when supporting cloning between dogtag 9/10, and also whether the system is initialized.

In the init() function in CMSEngine.java, we can make the following changes:
1. at the beginning, set cs.startup_state in CS.cfg to "starting"
2. at the end, set cs.startup_state to "running"

The getStatus() servlet would query the cs.startup_state in CS.cfg.

If the server is down, you would not be able to reach that servlet in any case.
Comment 2 Ade Lee 2012-09-28 17:29:25 EDT
Patch committed to IPA_v2_RHEL_6_ERRATA_BRANCH

commit b7acae7bf42d524355257d92bba9851fafc6f606
Author: Ade Lee <alee@redhat.com>
Date:   Fri Sep 28 17:27:12 2012 -0400

    Resolves #858864 - create/ identify a mechanism for clients to determine that the pki subsystem is up

commit f29ffc6392c758954fa53a0b4e645c0c72a636f4
Author: Ade Lee <alee@redhat.com>
Date:   Fri Sep 28 15:39:31 2012 -0400

    Resolves #858864 - create/ identify a mechanism for clients to determine that the pki subsystem is up
Comment 5 Namita Soman 2013-01-25 15:10:54 EST
Ran regression test suites for IPA, and didn't see any issues. So marking this verified.
Comment 6 errata-xmlrpc 2013-02-21 05:05:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0511.html

Note You need to log in before you can comment on or make changes to this bug.